Project

General

Profile

action #104370

[qem][shap] test fails in post_migration - nothing provides 'libiov-buf-samba4.so

Added by martinsmac 5 months ago. Updated 5 months ago.

Status:
New
Priority:
Normal
Assignee:
Category:
Bugs in existing tests
Target version:
-
Start date:
2021-12-27
Due date:
% Done:

0%

Estimated time:
Difficulty:

Description

Observation

openQA test in scenario sle-15-SP2-Server-DVD-HA-Updates-x86_64-qam_ha_rolling_upgrade_migration_node01@64bit fails in
post_migration

Test suite description

Testsuite maintained at https://gitlab.suse.de/qa-maintenance/qam-openqa-yml. Maintainer: QA-CSS team, test a rolling upgrade in a cluster from SP -1. 1- Use a qcow2 from hdd/fixed. 2- Update the system. 3- Configure a cluster. 4- Migrate one node to next SP. 5- Update the package targeted by the QAM if we are doing QAM. 6- Check cluster integrity and do the same for the second node.

Reproducible

Fails since (at least) Build 20211224-1

Expected result

Last good: 20211223-1 (or more recent)

Further details

Always latest result in this scenario: latest

Show error:
Processing conflicts - 0
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(solving):654 Solverrun finished with an ERROR
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(resolvePool):816 SATResolver::resolvePool() done. Ret:0
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] Resolver.cc(problems):387 Resolver::problems()
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(problems):1249 Encountered problems! Here are the solutions:
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(problems):1249
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(problems):1253 Problem 1:
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(problems):1254 ====================================
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(problems):1258 nothing provides 'libiov-buf-samba4.so(SAMBA_4.11.14_GIT.313.D4E302805E14.32.1_SUSE_OS15.0_X86_64)(64bit)' needed by the to be installed ctdb-4.11.14+git.313.d4e302805e1-4.32.1.x86_64
0| 2021-12-26 21:16:47 qam-node01(24030) [zypp::solver] SATResolver.cc(problems):1259 ------------------------------------
0| 2021-12-26 21:16:47 qam-node01(24030) [libsolv++] PoolImpl.cc(logSat):125 solver statistics: 0 learned rules, 2 unsolvable, 0 minimization steps

The same error occurs with 15.3 flavor:
https://openqa.suse.de/tests/7909552#step/zypper_up/18

History

#1 Updated by martinsmac 5 months ago

  • Subject changed from [qem][shap] test fails in post_migration - to [qem][shap] test fails in post_migration - nothing provides 'libiov-buf-samba4.so

Also available in: Atom PDF